Ubuntu PPA updates

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Ubuntu PPA updates

Colin Macdonald-2
Hi Mike et al,

How much effort is it to update the Ubuntu stable Octave PPA?  Abhinav
and I are seeing failures on the Travis Continuous Integration server
that might be caused by Octave 4.0.0 (and are likely working in
4.0.1/4.0.2).

If its as easy as pressing a button, please do ;-)  If not, no worries,
its not essential to get this working.

thanks,
Colin

Reply | Threaded
Open this post in threaded view
|

Re: Ubuntu PPA updates

Abhinav Tripathi
Also, there are no builds (no folder) for xenial (Ubuntu 16.04) on the ppa. I possible please add that too.
If Mike is busy, and there is some way I could do it, I would be happy to build and upload for xenial...
.
Abhinav

On Mon, Jun 20, 2016 at 10:38 PM, Colin Macdonald <[hidden email]> wrote:
Hi Mike et al,

How much effort is it to update the Ubuntu stable Octave PPA?  Abhinav and I are seeing failures on the Travis Continuous Integration server that might be caused by Octave 4.0.0 (and are likely working in 4.0.1/4.0.2).

If its as easy as pressing a button, please do ;-)  If not, no worries, its not essential to get this working.

thanks,
Colin


Reply | Threaded
Open this post in threaded view
|

Re: Ubuntu PPA updates

Mike Miller-4
Please try to bottom-post on the mailing lists.

On Mon, Jun 20, 2016 at 23:31:21 +0530, Abhinav Tripathi wrote:
> Also, there are no builds (no folder) for xenial (Ubuntu 16.04) on the ppa.
> I possible please add that too.
> If Mike is busy, and there is some way I could do it, I would be happy to
> build and upload for xenial...

I've pushed updates for Ubuntu 12.04, 14.04, and 16.04. They should be
installable as soon as they finish cooking.

> On Mon, Jun 20, 2016 at 10:38 PM, Colin Macdonald <[hidden email]> wrote:
> > How much effort is it to update the Ubuntu stable Octave PPA?  Abhinav and
> > I are seeing failures on the Travis Continuous Integration server that
> > might be caused by Octave 4.0.0 (and are likely working in 4.0.1/4.0.2).
> >
> > If its as easy as pressing a button, please do ;-)  If not, no worries,
> > its not essential to get this working.

It's not terribly difficult, but a little more work than just pushing a
button. See the packaging repos for the backports for an idea of the
work involved:

https://git.launchpad.net/~octave/ubuntu/+source/octave/+git/precise-backport
https://git.launchpad.net/~octave/ubuntu/+source/octave/+git/trusty-backport
https://git.launchpad.net/~octave/ubuntu/+source/octave/+git/xenial-backport

--
mike